pouët.net

Go to bottom

Jazzy Psychedelic Rainbow Vomit by disaster area [web]

Jazzy Psychedelic Rainbow Vomit

by ript/disaster area

requires windows 9x (don't know if it runs under 2k, but you're not missing much if it doesn't)

this was made in one afternoon for the hell of it.

it's extra slow and extra crap

if it don't run, it don't run.
Go to top